/*
  Draw a house of a size relative to the window size.
*/

import java.awt.*;
import java.applet.*;

public class variableHouse extends Applet {

  public void paint( Graphics g ) {

    int windowWidth = getSize().width;
    int windowHeight = getSize().height;

    int width = windowWidth/2;
    int height = windowHeight/2;

    int x0 = ( windowWidth - width ) / 2;
    int y0 = ( windowHeight - height ) / 2;

    int x1 = x0 + width / 2;
    int y1 = y0 - width / 3;

    int floor = x0 + height;

    // wall
    g.drawRect( x0, y0, width, height );

    // redroof
    g.setColor( Color.red );
    g.drawLine( x0, y0, x1, y1 );
    g.drawLine( x1, y1, x0 + width, y0 );

    // blue door
    g.setColor( Color.blue );
    g.fillRect( x0 + width / 4, y0 + height / 3, width / 4, 2 * height / 3 );

    // green window
    g.setColor( Color.green );
    g.drawOval( x1, y0 + height / 3, width / 4, width / 4 );

    g.setColor( Color.black );
    String mess = "A little house in the Applet";
    g.drawString( mess,
                  ( windowWidth - g.getFontMetrics().stringWidth( mess ) ) / 2,
                  floor + 25);
  }
}
